package gov.va.med.esr.service.external.person;

import gov.va.med.esr.service.external.ExternalComponent;
import gov.va.med.esr.service.external.person.collections.SSNCollection;

import java.util.Date;

public  class RelationInfo extends ExternalComponent {

	private static final long serialVersionUID = -6180684112532622191L;


	private String  relationship = null;

    
   // private String prefix = null;
    //ZDP(Dep.)/2/Z10
     private String givenName = null;
    //ZDP(Dep.)/2/Z10
     private String middleName = null;
    //ZDP(Dep.)/2/Z10
    private String familyName = null;
   // private String suffix = null;
    //ZDP(Dep.)/3/Z10
     private String gender =  null;
    //ZDP(Dep.)/4/Z10
    private String dob          = null;
    //ZDP(Dep.)/9/Z10
     private String startDate    = null;
    //ZDP(Dep.)/11/Z10
    private Date  endDate      = null;
    //ZDP(Dep.)/10/Z10
    private SSNCollection  ssns      = null;
    private String prefix;
	private String suffix;
	
    
    public void setRelationship( String relationship){
		this.relationship=relationship;
	}
	public String getRelationship(){
		return this.relationship;
	}
	public void setPrefix( String prefix){
		this.prefix=prefix;
	}
	public String getPrefix(){
		return this.prefix;
	}
	
    public void setGivenName( String givenName){
		this.givenName=givenName;
	}
	public String getGivenName(){
			return this.givenName;
	}

	public String getMiddleName() {
		return middleName;
	}
	public void setMiddleName(String middleName) {
		this.middleName = middleName;
	}
	public SSNCollection getSsns() {
		return ssns;
	}
	public void setSsns(SSNCollection ssns) {
		this.ssns = ssns;
	}
	public String getStartDate() {
		return startDate;
	}
	public void setStartDate(String startDate) {
		this.startDate = startDate;
	}
	public void setFamilyName( String familyName){
		this.familyName=familyName;
	}
	public String getFamilyName(){
		return this.familyName;
	}public void setSuffix( String suffix){
		this.suffix=suffix;
	}
	public String getSuffix(){
		return this.suffix;
	}
	public void setGender( String gender){
		this.gender=gender;
	}
	public String getGender(){
		return this.gender;
	}
	public void setDob( String dob){
		this.dob=dob;
	}
	public String getDob(){
		return this.dob;
	}

	public void setEndDate (Date endDate){
		this.endDate=endDate;
	}
	public Date getEndDate(){
		return this.endDate;
	}
	
}
